Index: /trunk/src/sys/arch/mips/mips/mips3_clock.c
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips3_clock.c	(revision 151)
+++ /trunk/src/sys/arch/mips/mips/mips3_clock.c	(revision 152)
@@ -1,5 +1,6 @@
-/*	$NetBSD: mips3_clock.c,v 1.10.28.1 2010/01/20 06:58:36 matt Exp $	*/
+/*	$NetBSD: mips3_clock.c,v 1.10.28.3 2011/04/29 08:26:27 matt Exp $	*/
 
 /*
+ * Copyright (c) 1988 University of Utah.
  * Copyright (c) 1992, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -37,47 +38,8 @@
  *	@(#)clock.c	8.1 (Berkeley) 6/10/93
  */
-/*
- * Copyright (c) 1988 University of Utah.
- *
- * This code is derived from software contributed to Berkeley by
- * the Systems Programming Group of the University of Utah Computer
- * Science Department and Ralph Campbell.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
- * 4. Neither the name of the University nor the names of its contributors
- *    may be used to endorse or promote products derived from this software
- *    without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
- * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
- * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
- * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
- * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
- * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
- * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
- * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- *
- * from: Utah Hdr: clock.c 1.18 91/01/21
- *
- *	@(#)clock.c	8.1 (Berkeley) 6/10/93
- */
 
 #include <sys/cdefs.h>			/* RCS ID & Copyright macro defns */
 
-__KERNEL_RCSID(0, "$NetBSD: mips3_clock.c,v 1.10.28.1 2010/01/20 06:58:36 matt Exp $");
+__KERNEL_RCSID(0, "$NetBSD: mips3_clock.c,v 1.10.28.3 2011/04/29 08:26:27 matt Exp $");
 
 #include <sys/param.h>
Index: /trunk/src/sys/arch/mips/mips/mips3_clockintr.c
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips3_clockintr.c	(revision 151)
+++ /trunk/src/sys/arch/mips/mips/mips3_clockintr.c	(revision 152)
@@ -1,5 +1,6 @@
-/*	$NetBSD: mips3_clockintr.c,v 1.8.12.2 2010/03/21 18:45:53 cliff Exp $	*/
+/*	$NetBSD: mips3_clockintr.c,v 1.8.12.3 2011/04/29 08:26:27 matt Exp $	*/
 
 /*
+ * Copyright (c) 1988 University of Utah.
  * Copyright (c) 1992, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -37,47 +38,7 @@
  *	@(#)clock.c	8.1 (Berkeley) 6/10/93
  */
-/*
- * Copyright (c) 1988 University of Utah.
- *
- * This code is derived from software contributed to Berkeley by
- * the Systems Programming Group of the University of Utah Computer
- * Science Department and Ralph Campbell.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
- * 4. Neither the name of the University nor the names of its contributors
- *    may be used to endorse or promote products derived from this software
- *    without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
- * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
- * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
- * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
- * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
- * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
- * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
- * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- *
- * from: Utah Hdr: clock.c 1.18 91/01/21
- *
- *	@(#)clock.c	8.1 (Berkeley) 6/10/93
- */
 
-#include <sys/cdefs.h>			/* RCS ID & Copyright macro defns */
-
-__KERNEL_RCSID(0, "$NetBSD: mips3_clockintr.c,v 1.8.12.2 2010/03/21 18:45:53 cliff Exp $");
+#include <sys/cdefs.h>
+__KERNEL_RCSID(0, "$NetBSD: mips3_clockintr.c,v 1.8.12.3 2011/04/29 08:26:27 matt Exp $");
 
 #include <sys/param.h>
@@ -104,5 +65,5 @@
 	uint32_t new_cnt;
 
-	ci->ci_count_compare_evcnt.ev_count++;
+	ci->ci_ev_count_compare.ev_count++;
 
 	KASSERT((ci->ci_cycles_per_hz & ~(0xffffffff)) == 0);
@@ -121,5 +82,5 @@
 		ci->ci_next_cp0_clk_intr = new_cnt + curcpu()->ci_cycles_per_hz;
 		mips3_cp0_compare_write(ci->ci_next_cp0_clk_intr);
-		curcpu()->ci_count_compare_missed_evcnt.ev_count++;
+		curcpu()->ci_ev_count_compare_missed.ev_count++;
 	}
 
Index: /trunk/src/sys/arch/mips/mips/mips3_subr.S
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips3_subr.S	(revision 151)
+++ /trunk/src/sys/arch/mips/mips/mips3_subr.S	(revision 152)
@@ -1,14 +1,13 @@
-/*	$NetBSD: mips3_subr.S,v 1.3.96.1 2010/01/16 20:56:33 matt Exp $	*/
+/*	mips3_subr.S,v 1.3.96.2 2011/04/29 08:26:27 matt Exp	*/
 
 #undef MIPS1
 /* #undef MIPS3 */
 #undef MIPS32
+#undef MIPS32R2
 #undef MIPS64
+#undef MIPS64R2
 #undef MIPS64_SB1
-#undef MIPS64_XLP
-#undef MIPS64_XLR
-#undef MIPS64_XLS
-
-#undef MIPS3_5900
+#undef MIPS64R2_RMIXL
+#undef MIPS64_RMIXL
 
 #include <mips/mips/mipsX_subr.S>
Index: /trunk/src/sys/arch/mips/mips/mips64_rmixl_subr.S
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips64_rmixl_subr.S	(revision 152)
+++ /trunk/src/sys/arch/mips/mips/mips64_rmixl_subr.S	(revision 152)
@@ -0,0 +1,13 @@
+/*	mips64_subr.S,v 1.3.96.2 2011/04/29 08:26:27 matt Exp	*/
+
+#undef MIPS1
+#undef MIPS3
+#undef MIPS32
+#undef MIPS32R2
+#undef MIPS64
+#undef MIPS64R2
+#undef MIPS64_SB1
+/* #define MIPS64_RMIXL */
+#undef MIPS64R2_RMIXL
+
+#include <mips/mips/mipsX_subr.S>
Index: /trunk/src/sys/arch/mips/mips/mips64_subr.S
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips64_subr.S	(revision 151)
+++ /trunk/src/sys/arch/mips/mips/mips64_subr.S	(revision 152)
@@ -1,14 +1,13 @@
-/*	$NetBSD: mips64_subr.S,v 1.3.96.1 2010/01/16 20:56:33 matt Exp $	*/
+/*	mips64_subr.S,v 1.3.96.2 2011/04/29 08:26:27 matt Exp	*/
 
 #undef MIPS1
 #undef MIPS3
 #undef MIPS32
+#undef MIPS32R2
 /* #undef MIPS64 */
+#undef MIPS64R2
 #undef MIPS64_SB1
-#undef MIPS64_XLP
-#undef MIPS64_XLR
-#undef MIPS64_XLS
-
-#undef MIPS3_5900
+#undef MIPS64R2_RMIXL
+#undef MIPS64_RMIXL
 
 #include <mips/mips/mipsX_subr.S>
Index: /trunk/src/sys/arch/mips/mips/mips64r2_rmixl_subr.S
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips64r2_rmixl_subr.S	(revision 152)
+++ /trunk/src/sys/arch/mips/mips/mips64r2_rmixl_subr.S	(revision 152)
@@ -0,0 +1,13 @@
+/*	mips64_subr.S,v 1.3.96.2 2011/04/29 08:26:27 matt Exp	*/
+
+#undef MIPS1
+#undef MIPS3
+#undef MIPS32
+#undef MIPS32R2
+#undef MIPS64
+#undef MIPS64R2
+#undef MIPS64_SB1
+#undef MIPS64_RMIXL
+/* #define MIPS64R2_RMIXL */
+
+#include <mips/mips/mipsX_subr.S>
Index: /trunk/src/sys/arch/mips/mips/mips64r2_subr.S
===================================================================
--- /trunk/src/sys/arch/mips/mips/mips64r2_subr.S	(revision 152)
+++ /trunk/src/sys/arch/mips/mips/mips64r2_subr.S	(revision 152)
@@ -0,0 +1,13 @@
+/*	mips64r2_subr.S,v 1.1.4.2 2011/04/29 08:26:28 matt Exp	*/
+
+#undef MIPS1
+#undef MIPS3
+#undef MIPS32
+#undef MIPS32R2
+#undef MIPS64
+/* #undef MIPS64R2 */
+#undef MIPS64_SB1
+#undef MIPS64R2_RMIXL
+#undef MIPS64_RMIXL
+
+#include <mips/mips/mipsX_subr.S>
